#include "unit.h"

class Game : public Unit {	
public:
	Game();
	int process(float d);
	void redraw();
	void enter();
	void leave();	
	
	void dropem();
	int checkem();
	void fixem(int);
	
	int leftramp;
	int rightramp;		
	
	int wave;
	int squirrelinvasion;   
	float nextsquirreltime;
	bool nextsquirrel;		
	
	int side;
	
	bool AI_left, AI_right;	
	
	int newball;
	int game_over;
	int game_not_over;
		
	float netrate;
	
	float time2send;
			
	int leftpoints;
	int rightpoints;
	
	int leftballs;
	int rightballs;
	
	int keyleft1;
	int keyleft2;
	int keyright1;
	int keyright2;
	
	BITMAP *ankh;
};

extern Game *game;